import type { AddressSpace } from '@/ua/AddressSpace'
import { UABaseNode } from '@/ua/UABaseNode'
import { defineStore } from 'pinia'

export const useStore = defineStore('user', {
  state: () => {
    return {
      addressSpace: null as AddressSpace | null,
      rootNode: null as UABaseNode | null,
      selectedNode: null as UABaseNode | null
    }
  },
})
